import { DeleteSessionProps, ExecuteCodeProps, GetColumnsProps, GetLibrariesProps, GetTablesProps, GetValuesProps, InitComputeSessionProps, ComputeSession as TComputeSession } from './types/ComputeSession.types';
import { default as Item } from './utils/APIElement';
export default class ComputeSession extends Item<TComputeSession> {
    private constructor();
    static init: ({ baseURL, contextName, }: InitComputeSessionProps) => Promise<ComputeSession | undefined>;
    deleteSession: ({ logout }: DeleteSessionProps) => Promise<void>;
    getLibraries: ({ outputType }?: GetLibrariesProps) => Promise<import('./types/APICall.types').Item[] | (string | undefined)[] | undefined>;
    private readonly getLibrary;
    getTables: ({ libraryName, outputType }: GetTablesProps) => Promise<import('./types/APICall.types').Item[] | (string | undefined)[] | undefined>;
    private readonly getTable;
    getColumns: ({ libraryName, tableName, outputType }: GetColumnsProps) => Promise<import('./types/APICall.types').Item[] | (string | undefined)[] | undefined>;
    private readonly getColumn;
    getValues: ({ libraryName, tableName, columnName, filters }: GetValuesProps) => Promise<any>;
    executeCode: ({ code, resultName, params }: ExecuteCodeProps) => Promise<any>;
    private readonly checkJobState;
    private readonly getJobResult;
    private readonly buildWhereClause;
}
