import { CheckJobParametersProps, ExecuteJobProps, GetJobResultProps, InitProps, JobDefinition as TJob } from './types/Job.types';
import { default as Item } from './utils/APIElement';
export default class Job extends Item<TJob> {
    private constructor();
    static init: ({ baseURL, name, path }: InitProps) => Promise<Job | undefined>;
    getJobDefinition: () => TJob;
    getJobParameters: () => import('./types/Job.types').JobParameter[];
    checkJobParameters: ({ args }: CheckJobParametersProps) => void;
    execute: ({ args, checkDelay, checkInterval, resultFileName }: ExecuteJobProps) => Promise<any>;
    private readonly checkJobState;
    readonly getJobResult: ({ jobExecution, resultFileName }: GetJobResultProps) => Promise<any>;
}
